summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIonen Wolkens <ionen@gentoo.org>2022-07-11 17:23:35 -0400
committerIonen Wolkens <ionen@gentoo.org>2022-07-11 18:26:24 -0400
commit11167bfb471267cc5d6990bcc5c8bee1d90ab96f (patch)
tree1e3d5149491ae90a6a28a05ec2e310c42f896ad8
parentgames-emulation/hatari: add github remote-id and indent metadata (diff)
downloadgentoo-11167bfb471267cc5d6990bcc5c8bee1d90ab96f.tar.gz
gentoo-11167bfb471267cc5d6990bcc5c8bee1d90ab96f.tar.bz2
gentoo-11167bfb471267cc5d6990bcc5c8bee1d90ab96f.zip
games-emulation/hatari: add 2.4.0
Drop IUSE=microphone, this now uses sdl2 rather than portaudio and thus is enabled by default. Signed-off-by: Ionen Wolkens <ionen@gentoo.org>
-rw-r--r--games-emulation/hatari/Manifest1
-rw-r--r--games-emulation/hatari/hatari-2.4.0.ebuild98
2 files changed, 99 insertions, 0 deletions
diff --git a/games-emulation/hatari/Manifest b/games-emulation/hatari/Manifest
index 3b95e0baff5..f7f9aabf405 100644
--- a/games-emulation/hatari/Manifest
+++ b/games-emulation/hatari/Manifest
@@ -1 +1,2 @@
DIST hatari-2.3.1.tar.bz2 4334129 BLAKE2B f309a31cbf181135b02858ebefa4d70116e66d252ef5de03cffa8254c0e86e4eeebfbf626613103790fb803d08028b318721020b292ea748c79e4d008e6d503d SHA512 78a6c7d80bfcd9b3a85a82754f4180cfd906eb95c6a44c8fbb92c2a648dc9c21c74c9dd18db4783d87259a3061b39e639c54cdd6c033d83de1252afef811382f
+DIST hatari-2.4.0.tar.bz2 4452205 BLAKE2B fe53b4dac688720372386fc83a83996e2cc83d74fd20f71db5e60f773561dc51d33f3560c1625913a896a9592650460604e821c9f7f07e5bd50d1775b49dfea5 SHA512 8ec542b2f7e27cd185ff8725e8d31ba7f1de709fa638b6162d17b6f1163158cbd16fc2738aa6b073a71cd990a72f305b5322f754faef34399cdca8685a7bf08c
diff --git a/games-emulation/hatari/hatari-2.4.0.ebuild b/games-emulation/hatari/hatari-2.4.0.ebuild
new file mode 100644
index 00000000000..db2b63faf51
--- /dev/null
+++ b/games-emulation/hatari/hatari-2.4.0.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+inherit cmake python-single-r1 xdg
+
+DESCRIPTION="Atari ST emulator"
+HOMEPAGE="https://hatari.tuxfamily.org/"
+SRC_URI="https://download.tuxfamily.org/hatari/${PV}/${P}.tar.bz2"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="X capsimage gui png portmidi readline udev zlib"
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+ png? ( zlib )"
+
+COMMON_DEPEND="
+ media-libs/libsdl2[X?,joystick,sound,video]
+ X? ( x11-libs/libX11 )
+ capsimage? ( >=dev-libs/spsdeclib-5.1-r1 )
+ png? ( media-libs/libpng:= )
+ portmidi? ( media-libs/portmidi )
+ readline? ( sys-libs/readline:= )
+ udev? ( virtual/udev )
+ zlib? ( sys-libs/zlib:= )"
+RDEPEND="
+ ${PYTHON_DEPS}
+ ${COMMON_DEPEND}
+ gui? (
+ $(python_gen_cond_dep 'dev-python/pygobject:3[${PYTHON_USEDEP}]')
+ x11-libs/gtk+:3[introspection]
+ )
+ >=games-emulation/emutos-1.1.1"
+DEPEND="
+ ${COMMON_DEPEND}
+ X? ( x11-base/xorg-proto )"
+BDEPEND="${PYTHON_DEPS}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.3.1-caps5-include-path.patch
+ "${FILESDIR}"/${PN}-2.3.1-cmake-include-checksym.patch
+)
+
+DOCS=(
+ readme.txt
+ doc/{bugs,changelog,scsi-driver,thanks,video-recording}.txt
+)
+
+src_prepare() {
+ cmake_src_prepare
+
+ sed -i "s/\.1\.gz\b/.1/;T;s/gzip[^\$]*/cat /" {*/,}*/CMakeLists.txt || die
+ sed -i "s:doc/${PN}:doc/${PF}/html:" python-ui/uihelpers.py || die
+ sed -e "s/python3/${EPYTHON}/" \
+ -e 's/mkdosfs/mkfs.fat/' \
+ -i tools/atari-hd-image.sh || die
+
+ # use emutos package rather than bundled ROM
+ rm src/tos.img || die
+ cat <<-EOF > hatari.cfg || die
+ [ROM]
+ szTosImageFileName = ${EPREFIX}/usr/share/emutos/etos1024k.img
+ EOF
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_SHARED_LIBS=OFF
+ -DDOCDIR="${EPREFIX}"/usr/share/doc/${PF}/html
+ -DETCDIR="${EPREFIX}"/etc
+ $(cmake_use_find_package X X11)
+ $(cmake_use_find_package capsimage CapsImage)
+ $(cmake_use_find_package png PNG)
+ $(cmake_use_find_package portmidi PortMidi)
+ $(cmake_use_find_package readline Readline)
+ $(cmake_use_find_package udev Udev)
+ $(cmake_use_find_package zlib ZLIB)
+ $(usev !gui -DPYTHON_EXECUTABLE=false) # only disables python-ui/
+ )
+
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+
+ insinto /etc
+ doins hatari.cfg
+
+ mv "${ED}"/usr/share/doc/${PF}/{html/*.txt,} || die
+
+ python_fix_shebang "${ED}"/usr/bin
+ use gui && python_fix_shebang "${ED}"/usr/share/${PN}/${PN}ui
+}